[2.2] Erreur au flashage

Firefox OS a été un nouveau système d'exploitation destiné aux appareils mobiles. Ce forum traite des problèmes rencontrés sur les branches 1.4+ et 2.0+.
Ainsi que des téléphones et tablettes de développement (Flame...)

Modérateurs : Monique, genma

Répondre
Avatar de l’utilisateur
jarodd
Lézard à collerette
Messages : 270
Inscription : 15 déc. 2004, 17:32

[2.2] Erreur au flashage

Message par jarodd » 19 janv. 2015, 21:06

Bonjour,

J'essaye de flash mon Keon vers la version 2.2. Tout est ok du côté des drivers usb et d'adb. Lorsque je lance le ./flash.sh, j'obtiens ceci :

Code : Tout sélectionner

error: cannot load 'boot.img'

Do you want to keep user data? (This may cause problems at reboot. If it does, please reflash and select the option not to keep the data)
1) Yes
2) No
#? 1
error: cannot load 'system.img'

sending 'recovery' (4556 KB)...
OKAY [  0.420s]
writing 'recovery'...
OKAY [  0.830s]
finished. total time: 1.251s
erasing 'cache'...
OKAY [  0.005s]
finished. total time: 0.006s
rebooting...

finished. total time: 0.001s
J'ai aussi essayé en root, même erreur.

Une idée ? Merci pour votre aide.
Votre Navigateur : Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:37.0) Gecko/20100101 Firefox/37.0
Ubuntu 16.04 (32 et 64 bits)
Firefox et Thunderbird : dernières versions stables utilisées

Avatar de l’utilisateur
jarodd
Lézard à collerette
Messages : 270
Inscription : 15 déc. 2004, 17:32

Re: [2.2] Erreur au flashage

Message par jarodd » 25 janv. 2015, 16:17

Personne n'a une petite idée ?

Je ne sais pas si l'erreur signalée au début est gênante ou pas. Ensuite ça semble passer, sauf que je reste en 2.1 (j'ai téléchargé la latest sur le site de Geeksphone), et après reboot, dans les paramètres je reste dans une version du 29 septembre 2014. Pourtant le zip latest téléchargé contient un dossier daté du 25 janvier 2015, je m'attendais donc à être en 2.2 avec cette date.
Ubuntu 16.04 (32 et 64 bits)
Firefox et Thunderbird : dernières versions stables utilisées

fabbox
Lézard à collerette
Messages : 357
Inscription : 16 oct. 2014, 20:20

Re: [2.2] Erreur au flashage

Message par fabbox » 27 janv. 2015, 18:32

Bonjour,

D'après ce que je lis de la sortie que tu donnes, ton téléphone ne se met pas à jour (sans boot.img ni system.img, c'est sûr même. non?!).

Quand je regarde ce qu'il y a dans le fichier flash.sh de la dernière nightly (27 janvier 2015) :

Code : Tout sélectionner

#!/bin/bash
./adb reboot bootloader
./fastboot flash boot boot.img
echo "Do you want to keep user data? (This may cause problems at reboot. If it does, please reflash and select the option not to keep the data)"
select yn in "Yes" "No"; do
    case $yn in
        Yes ) break;;
        No ) ./fastboot flash userdata userdata.img; break;;
    esac
done
./fastboot flash system system.img
./fastboot flash recovery recovery.img
./fastboot erase cache
./fastboot reboot
Un petit test à faire serait d'ouvrir une console dans le répertoire contenant l'archive décompressée que tu as téléchargée et de rentrer les commandes une à une en vérifiant que chacune s'exécute convenablement (en omettant ce qu'il y a de echo à done). Je pense surtout à la première commande (./adb reboot bootloader) à laquelle il faut surement laisser un peu de temps pour s'exécuter alors que tu peux avoir récupérer la main sur la console.

Tu peux également tenter de "mieux" définir le chemin des nouvelles partitions (je n'y crois pas vraiment):

Code : Tout sélectionner

./fastboot flash boot ./boot.img
Enfin, j'ai aussi noté que l'archive contient ses propres modules adb et fastboot. Ont-ils les bonnes autorisations lors de la décompression de l'archive (lien adb) ?

J'espère que ces quelques pistes permettront de résoudre ton problème.
Bon courage !
Votre Navigateur : Mozilla/5.0 (X11; Linux x86_64; rv:37.0) Gecko/20100101 Firefox/37.0

Avatar de l’utilisateur
jarodd
Lézard à collerette
Messages : 270
Inscription : 15 déc. 2004, 17:32

Re: [2.2] Erreur au flashage

Message par jarodd » 27 janv. 2015, 22:13

Merci pour ton aide :)

Alors dans l'ordre :
./adb reboot bootloader
Résultat :

Code : Tout sélectionner

adb server is out of date.  killing...
* daemon started successfully *
Puis le téléphone a redémarré. Il s'est bloqué sur le logo Geeksphone par contre, j'ai retiré la batterie car il ne bougeait plus.
./fastboot flash boot boot.img
Résultat :

Code : Tout sélectionner

< waiting for device > // là je l'ai rebranché en USB
sending 'boot' (3172 KB)...
OKAY [  0.293s]
writing 'boot'...
OKAY [  0.582s]
finished. total time: 0.875s
./fastboot flash system system.img
Là bizarrement je reste sur Waiting a device. Je rebranche en USB, j'ai bien le contenu de la SD interne qui s'affiche dans Nautilus, mais pas d'autre résultat dans la commande :-?
./fastboot flash recovery recovery.img
Idem. J'ai reessayé de le rebrancher plusieurs fois, je reste sur Waiting.

C'est grave docteur ?
Ubuntu 16.04 (32 et 64 bits)
Firefox et Thunderbird : dernières versions stables utilisées

fabbox
Lézard à collerette
Messages : 357
Inscription : 16 oct. 2014, 20:20

Re: [2.2] Erreur au flashage

Message par fabbox » 27 janv. 2015, 23:01

hey hey, il me semble qu'il va falloir recommencer depuis le début sans enlever la batterie ni débrancher le cable usb !

Lorsque tu entres la commandes :

Code : Tout sélectionner

./adb reboot bootloader
elle "demande" à ton téléphone de redémarrer en mode "bootloader". Dans ce mode, le téléphone n'est pas utilisable comme d'habitude (mais cela te permettra d'écrire de nouvelles partitions ou de remplacer les anciennes). Je pense que tu étais dans ce mode quand tu avais le logo qui ne bougeait plus.

Donc il faudrait que tu recommences la manipulation depuis le début mais cette fois n'enlève pas la batterie du téléphone et rentre la commande d'après une fois que le logo te semble "bloqué" c'est-à-dire :

Code : Tout sélectionner

./fastboot flash boot boot.img
Si tu as toujours un <waiting for devices>, regarde ce que renvoies la commande:

Code : Tout sélectionner

fastboot devices
Votre Navigateur : Mozilla/5.0 (X11; Linux x86_64; rv:37.0) Gecko/20100101 Firefox/37.0

Avatar de l’utilisateur
jarodd
Lézard à collerette
Messages : 270
Inscription : 15 déc. 2004, 17:32

Re: [2.2] Erreur au flashage

Message par jarodd » 28 janv. 2015, 22:12

Non toujours pas :(

Voilà le résumé :

Code : Tout sélectionner

./adb reboot bootloader 
adb server is out of date.  killing...
* daemon started successfully *
jarodd@ubuntu:~/keon/nightly-images-keon-master-2015-01-27.Gecko-ab1e320.Gaia-a430611$ ./fastboot flash  boot.img
unknown partition 'boot.img'
error: cannot determine image filename for 'boot.img'
Pourtant j'ai bien le fichier boot.img dans ce même répertoire. Même erreur en sudo (des fois que ce soit un problème de permission, mais non). J'ai aussi essayé avec et sans le « ./ » devant fastboot.

Le téléphone est toujours bloqué sur le logo mais cette fois je ne l'ai pas débranché. Le fastboot device le reconnaît bien :

Code : Tout sélectionner

jarodd@ubuntu:~/keon/nightly-images-keon-master-2015-01-27.Gecko-ab1e320.Gaia-a430611$ fastboot devices 
c4e77049	fastboot
Une idée ?
Ubuntu 16.04 (32 et 64 bits)
Firefox et Thunderbird : dernières versions stables utilisées

fabbox
Lézard à collerette
Messages : 357
Inscription : 16 oct. 2014, 20:20

Re: [2.2] Erreur au flashage

Message par fabbox » 29 janv. 2015, 09:15

Salut,

dans la commande que tu entres il manque un terme (boot) :

Code : Tout sélectionner

./fastboot flash boot boot.img
(tu demandes à fastboot de d'écrire la partition "boot" avec le fichier "boot.img")
Votre Navigateur : Mozilla/5.0 (X11; Linux x86_64; rv:37.0) Gecko/20100101 Firefox/37.0

Avatar de l’utilisateur
jarodd
Lézard à collerette
Messages : 270
Inscription : 15 déc. 2004, 17:32

Re: [2.2] Erreur au flashage

Message par jarodd » 29 janv. 2015, 13:28

Aaaah quel boulet, an plus je tapais les commandes avec l'autocomplétion, et quand j'ai eu " boot " (avec les espaces), j'ai moi-même ajouté le .img :lol:

J'ai donc relancé les commandes une par une, ça a pris bien plus de temps qu'en exécutant seulement le flash.sh, signe qu'il ne s'exécutait pas bien (pourquoi, je ne sais pas, peut-être à cause du echo.....done).

Au reboot, je suis en 3.0.0.0 prerealease (?!?), mise à jour du 29 septembre 2014 (décidément).

J'ai eu des alertes (fond bleu clair) disant que la commande makeDir a échoué.

Merci pour le coup de main, j'ai réussi la màj, mais j'ai encore des interrogations sur ce numéro de version (le latest n'est pas 2.2 mais 3.0 ?), et sur cette erreur makeDir :)
Votre Navigateur : Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:37.0) Gecko/20100101 Firefox/37.0
Ubuntu 16.04 (32 et 64 bits)
Firefox et Thunderbird : dernières versions stables utilisées

fabbox
Lézard à collerette
Messages : 357
Inscription : 16 oct. 2014, 20:20

Re: [2.2] Erreur au flashage

Message par fabbox » 29 janv. 2015, 14:22

Si ça marche c'est déjà une bonne nouvelle :D (je pense que les premières fois, soit tu n'avais déverrouillé ton téléphone, soit le reboot a mis trop de temps -- je suis partisan de la deuxième possibilité). La partie "echo [...] done" est juste la partie où il te demande si tu veux garder tes données ; tu avais répondu "oui" (enfin "y") ce qui était équivalent à ne rien faire (donc inutile de copier cette partie).

Pour les numéros de version etles dates, je suis toujours un peu paumé entre celles qui se rapportent aux kernell, à B2G ou encore à Gaïa. Dans ton cas, il me semble qu'en plus les mises à jours sont faites par Geekphones qui peut très bien avoir des numéros de versions "internes". Tu peux regarder dans les manifestes des builds si tu trouves des dates qui correspondent (mais bon, tu es en avances sur ton temps :D ).

Pour l'erreur "makeDir", pourrais-tu détailler un peu à quel moment cela c'est produit ? Sans autres symptômes, je crains de ne pas pouvoir t'aider.

[EDIT] : il semblerait que la version 2.2 n'existe plus. La build communautaire nightly est aussi en 3.0. Il y a du avoir beaucoup de changement dans les API et les développeurs ont décidé de passer à la 3.0.

Avatar de l’utilisateur
jarodd
Lézard à collerette
Messages : 270
Inscription : 15 déc. 2004, 17:32

Re: [2.2] Erreur au flashage

Message par jarodd » 29 janv. 2015, 19:09

Alors pour préciser, le message apparaît au démarrage (quand j'arrive sur l'écran d'accueil). J'ai un son d'alerte (2 fois), puis ce message qui apparait en haut de l'écran :
https://lut.im/7lNwzidc/aDpAkGW1
(désolé pour la qualité, je n'ai pas réussi à faire un screenshot et le ZTE ne fait pas de belles photos)

Ce message revient quand je met/sort de la veille (bouton On/Off).
Edit : je précise qu'avant ce message, apparaît « capture des journaux ».
Je viens aussi de remarquer que je ne peux plus éteindre ou mettre en veille avec On/Off, le menu n'apparait pas et le téléphone ne réagit pas.

Quand tu parles de la build communautaire, tu parles de celle-ci ? Je suis en 2.0, je vais voir si je peux le passer aussi à la dernière version :)
Ubuntu 16.04 (32 et 64 bits)
Firefox et Thunderbird : dernières versions stables utilisées

fabbox
Lézard à collerette
Messages : 357
Inscription : 16 oct. 2014, 20:20

Re: [2.2] Erreur au flashage

Message par fabbox » 29 janv. 2015, 20:11

oui, je parlais bien des builds communautaires pour le zte (mais tu avais déjà vu :D ). Fais quand même un petit peu attention en passant sur les builds nightly sur les deux téléphones, elles ne sont peu (pas) testées avant d'être mise en ligne. Au cours du mois de décembre, les versions de développement ne tournaient plus sur l'open c :shock: (voir par exemple impossible de démarrer et stockage externe).

Pour ton autre problème, il faudrait que tu actives le débogage adb (sur ton téléphone - si ce n'est pas déjà fait) et que tu donnes la sortie de la commande (sur ton ordinateur avec le téléphone branché en usb) :

Code : Tout sélectionner

adb logcat
que tu aurais laissé tourner quelques temps tout en faisant la manip qui fait apparaitre ton message d'erreur sur le téléphone (donc moins de 30 secondes au total). Ca devrait donner plus d'info sur la source de l'erreur.
Votre Navigateur : Mozilla/5.0 (X11; Linux x86_64; rv:37.0) Gecko/20100101 Firefox/37.0

Répondre

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 2 invités